curl --request POST \
--url https://{tenant_name}.{region}.techwolf.ai/export/skills \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"limit": 200,
"starting_after": "4cbdbabe-5644-4423-8157-520f8a2f429a"
}
'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/export/skills"
payload = {
"limit": 200,
"starting_after": "4cbdbabe-5644-4423-8157-520f8a2f429a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({limit: 200, starting_after: '4cbdbabe-5644-4423-8157-520f8a2f429a'})
};
fetch('https://{tenant_name}.{region}.techwolf.ai/export/skills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant_name}.{region}.techwolf.ai/export/skills",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'limit' => 200,
'starting_after' => '4cbdbabe-5644-4423-8157-520f8a2f429a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenant_name}.{region}.techwolf.ai/export/skills"
payload := strings.NewReader("{\n \"limit\": 200,\n \"starting_after\": \"4cbdbabe-5644-4423-8157-520f8a2f429a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{tenant_name}.{region}.techwolf.ai/export/skills")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"limit\": 200,\n \"starting_after\": \"4cbdbabe-5644-4423-8157-520f8a2f429a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenant_name}.{region}.techwolf.ai/export/skills")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"limit\": 200,\n \"starting_after\": \"4cbdbabe-5644-4423-8157-520f8a2f429a\"\n}"
response = http.request(request)
puts response.read_body{
"records": [
{
"skill_id": "1b9d6bcd-bbfd-4b2d-9b5d-ab8dfbbd4b1e",
"skill_name": "Java Programming Language",
"skill_description": "Java is a high-level programming language with an intuitive syntax and a versatile standard library.",
"skill_source": "vocabulary",
"inference_enabled": true,
"default_skill_name": "Java Programming Language",
"default_skill_description": "Java is a high-level programming language with an intuitive syntax and a versatile standard library.",
"techwolf_domain": "Software Development",
"taxonomy_domain_id": null,
"taxonomy_domain_name": null,
"taxonomy_skill_cluster_id": null,
"taxonomy_skill_cluster_name": null
},
{
"skill_id": "4b85469d-6729-4d70-9876-a0faa2a2f63b",
"skill_name": "Python Programming",
"skill_description": "Python is a high-level programming language with an intuitive syntax and a versatile standard library.",
"skill_source": "vocabulary",
"inference_enabled": true,
"default_skill_name": "Python Programming",
"default_skill_description": "Python is a high-level programming language with an intuitive syntax and a versatile standard library.",
"techwolf_domain": "Software Development",
"taxonomy_domain_id": null,
"taxonomy_domain_name": null,
"taxonomy_skill_cluster_id": null,
"taxonomy_skill_cluster_name": null
}
],
"has_next": true,
"next_starting_after": "9b9d6bcd-bbfd-4b2d-9b5d-ab8dfbbd4b1e"
}Export Skill info
Export the information for all Skills in the system. Results are paginated by default with a fixed limit of 50,000. This limit is required due to the large dataset size. Setting a lower limit would not improve performance and is therefore not supported.
curl --request POST \
--url https://{tenant_name}.{region}.techwolf.ai/export/skills \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"limit": 200,
"starting_after": "4cbdbabe-5644-4423-8157-520f8a2f429a"
}
'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/export/skills"
payload = {
"limit": 200,
"starting_after": "4cbdbabe-5644-4423-8157-520f8a2f429a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({limit: 200, starting_after: '4cbdbabe-5644-4423-8157-520f8a2f429a'})
};
fetch('https://{tenant_name}.{region}.techwolf.ai/export/skills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant_name}.{region}.techwolf.ai/export/skills",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'limit' => 200,
'starting_after' => '4cbdbabe-5644-4423-8157-520f8a2f429a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenant_name}.{region}.techwolf.ai/export/skills"
payload := strings.NewReader("{\n \"limit\": 200,\n \"starting_after\": \"4cbdbabe-5644-4423-8157-520f8a2f429a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{tenant_name}.{region}.techwolf.ai/export/skills")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"limit\": 200,\n \"starting_after\": \"4cbdbabe-5644-4423-8157-520f8a2f429a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenant_name}.{region}.techwolf.ai/export/skills")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"limit\": 200,\n \"starting_after\": \"4cbdbabe-5644-4423-8157-520f8a2f429a\"\n}"
response = http.request(request)
puts response.read_body{
"records": [
{
"skill_id": "1b9d6bcd-bbfd-4b2d-9b5d-ab8dfbbd4b1e",
"skill_name": "Java Programming Language",
"skill_description": "Java is a high-level programming language with an intuitive syntax and a versatile standard library.",
"skill_source": "vocabulary",
"inference_enabled": true,
"default_skill_name": "Java Programming Language",
"default_skill_description": "Java is a high-level programming language with an intuitive syntax and a versatile standard library.",
"techwolf_domain": "Software Development",
"taxonomy_domain_id": null,
"taxonomy_domain_name": null,
"taxonomy_skill_cluster_id": null,
"taxonomy_skill_cluster_name": null
},
{
"skill_id": "4b85469d-6729-4d70-9876-a0faa2a2f63b",
"skill_name": "Python Programming",
"skill_description": "Python is a high-level programming language with an intuitive syntax and a versatile standard library.",
"skill_source": "vocabulary",
"inference_enabled": true,
"default_skill_name": "Python Programming",
"default_skill_description": "Python is a high-level programming language with an intuitive syntax and a versatile standard library.",
"techwolf_domain": "Software Development",
"taxonomy_domain_id": null,
"taxonomy_domain_name": null,
"taxonomy_skill_cluster_id": null,
"taxonomy_skill_cluster_name": null
}
],
"has_next": true,
"next_starting_after": "9b9d6bcd-bbfd-4b2d-9b5d-ab8dfbbd4b1e"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
- Token URL
- https://techwolf.eu.auth0.com/oauth/token
Query Parameters
The display language used for Skill names and descriptions. Altering the vocabulary language does not change Skill attributes; it solely changes the way it is displayed. If not specified, the default language (en_uk) will be used. The en language is an alias for en_uk. IETF BCP 47 language tags (e.g. fr-FR, zh-CN) are also accepted and mapped to their internal equivalents.
Vendor-specific availability: Only the following languages are available for the default TechWolf vocabulary: en, en_uk, en_us, de, fr, nl. The additional languages (es, fr_ca, it, ja, ko, pt_br, zh_cn, zh_tw, sv, fi, da, no) are only available when the request is scoped to the workday vendor (via external_vendor=workday) and the tenant's Workday vocabulary includes them. Use GET /taxonomy/skills/languages to discover the exact set of languages available for a given vendor in your tenant.
en, en_uk, en_us, de, fr, nl, es, fr_ca, it, ja, ko, pt_br, zh_cn, zh_tw, sv, fi, da, no The external vendor vocabulary you want to see the Skills displayed in. This will only work for vendors that are activated on your tenant.
techwolf, workday, sap_attribute_library "workday"
Additional Skill info attributes that will be included in the response body. This query parameter can be added multiple times to include more attributes.
properties, custom_properties, default_skill_name, default_skill_description, inference_enabled, business_relevant, output_language ["properties"]
Body
The number of Skills to show on a single page.
1 <= x <= 50000200
The universally unique ID of the Skill to continue looking from. This consists of alphanumeric characters, hyphens and underscores.
100"4cbdbabe-5644-4423-8157-520f8a2f429a"
List of filters to be applied on the Skills
Show child attributes
Show child attributes
Response
OK
True when there is more data after this page.
true
A list containing for every Skill in the system the available data, including descriptions and their location in the Taxonomy.
Default structure for Skill.
- No Taxonomy or 3-level Taxonomy
- 4-level Taxonomy
Show child attributes
Show child attributes
The next starting_after value for pagination.
100"9b9d6bcd-bbfd-4b2d-9b5d-ab8dfbbd4b1e"
Was this page helpful?